Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » I am facing trouble in opening Eclipse(An error has occurred. See the log file C:\Program Files\Java\Eclipse\configuration\1600324509194.log)
I am facing trouble in opening Eclipse [message #1832360] Thu, 17 September 2020 06:51 Go to next message
Nithi Daniel is currently offline Nithi DanielFriend
Messages: 1
Registered: September 2020
Junior Member
!SESSION 2020-09-17 12:05:07.864 -----------------------------------------------
eclipse.buildId=M20120914-1800
java.version=14.0.2
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.jee.product
Command-line arguments: -os win32 -ws win32 -arch x86_64 -product org.eclipse.epp.package.jee.product

!ENTRY org.eclipse.equinox.simpleconfigurator 4 0 2020-09-17 12:05:11.685
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: The bundle "org.eclipse.equinox.simpleconfigurator_1.0.301.v20120828-033635 [1]" could not be resolved. Reason: Missing Constraint: Bundle-RequiredExecutionEnvironment: CDC-1.1/Foundation-1.1,J2SE-1.4
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1332)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1316)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:323)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:390)
at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1176)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:559)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:544)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:457)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:243)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:438)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.osgi 4 0 2020-09-17 12:05:11.715
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.equinox.simpleconfigurator_1.0.301.v20120828-033635.jar was not resolved.

!ENTRY org.eclipse.osgi 2 0 2020-09-17 12:05:11.742
!MESSAGE One or more bundles are not resolved because the following root constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2020-09-17 12:05:11.743
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.equinox.simpleconfigurator_1.0.301.v20120828-033635.jar was not resolved.
!SUBENTRY 2 org.eclipse.equinox.simpleconfigurator 2 0 2020-09-17 12:05:11.743
!MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=CDC/Foundation)(version=1.1))(&(osgi.ee=JavaSE)(version=1.4)))".

!ENTRY org.eclipse.osgi 2 0 2020-09-17 12:05:11.748
!MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2020-09-17 12:05:11.748
!MESSAGE Bundle org.eclipse.equinox.simpleconfigurator_1.0.301.v20120828-033635 [1] was not resolved.
!SUBENTRY 2 org.eclipse.equinox.simpleconfigurator 2 0 2020-09-17 12:05:11.748
!MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=CDC/Foundation)(version=1.1))(&(osgi.ee=JavaSE)(version=1.4)))".

!ENTRY org.eclipse.osgi 4 0 2020-09-17 12:05:11.765
!MESSAGE Application error
!STACK 1
java.lang.IllegalStateException: Unable to acquire application service. Ensure that the org.eclipse.core.runtime bundle is resolved and started (see config.ini).
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:74)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:353)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:180)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.base/java.lang.reflect.Method.invoke(Method.java:564)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:629)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
at org.eclipse.equinox.launcher.Main.run(Main.java:1438)

















Can anyone guide me what to do?
Re: I am facing trouble in opening Eclipse [message #1832366 is a reply to message #1832360] Thu, 17 September 2020 08:08 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 32508
Registered: July 2009
Senior Member
The build ID M20120914 suggests this is an 8 year old version of Eclipse. That will not work running on Java 14.

It would be better to use something new:

https://www.eclipse.org/downloads/packages/


Ed Merks
Professional Support: https://www.macromodeling.com/
Re: I am facing trouble in opening Eclipse [message #1848586 is a reply to message #1832366] Wed, 08 December 2021 17:37 Go to previous messageGo to next message
Steve Mills is currently offline Steve MillsFriend
Messages: 2
Registered: December 2021
Junior Member
I am having a similar problem with the latest version. I can install and run Eclipse and work on my projects, but after I exit and come back in again then it comes up with the same error...

!SESSION 2021-12-08 16:20:42.504 -----------------------------------------------
eclipse.buildId=4.21.0.I20210906-0500
java.version=15.0.1
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_GB
Framework arguments:  -product org.eclipse.epp.package.java.product
Command-line arguments:  -os win32 -ws win32 -arch x86_64 -product org.eclipse.epp.package.java.product

!ENTRY org.eclipse.osgi 4 0 2021-12-08 16:20:46.337
!MESSAGE Application error
!STACK 1
java.lang.IllegalStateException: Unable to acquire application service. Ensure that the org.eclipse.core.runtime bundle is resolved and started (see config.ini).
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:81)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:401)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:255)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:64)
	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.base/java.lang.reflect.Method.invoke(Method.java:564)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:659)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:596)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1467)


I have checked the paths in config.ini and they all seem to be OK as far as I can tell...

#This configuration file was written by: org.eclipse.equinox.internal.frameworkadmin.equinox.EquinoxFwConfigFileParser
#Sun Dec 05 15:50:52 GMT 2021
eclipse.product=org.eclipse.platform.ide
osgi.splashPath=file\:/C\:/Users/Steve/.p2/pool/plugins/org.eclipse.platform_4.21.0.v20210906-0500
org.eclipse.equinox.simpleconfigurator.configUrl=file\:org.eclipse.equinox.simpleconfigurator/bundles.info
osgi.bundles.defaultStartLevel=4
eclipse.application=org.eclipse.ui.ide.workbench
osgi.instance.area.default=@user.home/workspace
osgi.bundles=reference\:file\:org.eclipse.equinox.simpleconfigurator_1.4.0.v20210315-2228.jar@1\:start
eclipse.p2.data.area=file\:/C\:/Users/Steve/.p2/
eclipse.p2.profile=C__Development_Tools_eclipse_java-2021-092_eclipse
osgi.framework=file\:/C\:/Users/Steve/.p2/pool/plugins/org.eclipse.osgi_3.17.0.v20210823-1805.jar
osgi.framework.extensions=reference\:file\:org.eclipse.osgi.compatibility.state_1.2.500.v20210730-0750.jar
eclipse.buildId=4.21.0.I20210906-0500


And I have checked eclipse.ini and that seems to be ok too...

#This configuration file was written by: org.eclipse.equinox.internal.frameworkadmin.equinox.EquinoxFwConfigFileParser
#Sun Dec 05 15:50:52 GMT 2021
eclipse.product=org.eclipse.platform.ide
osgi.splashPath=file\:/C\:/Users/Steve/.p2/pool/plugins/org.eclipse.platform_4.21.0.v20210906-0500
org.eclipse.equinox.simpleconfigurator.configUrl=file\:org.eclipse.equinox.simpleconfigurator/bundles.info
osgi.bundles.defaultStartLevel=4
eclipse.application=org.eclipse.ui.ide.workbench
osgi.instance.area.default=@user.home/workspace
osgi.bundles=reference\:file\:org.eclipse.equinox.simpleconfigurator_1.4.0.v20210315-2228.jar@1\:start
eclipse.p2.data.area=file\:/C\:/Users/Steve/.p2/
eclipse.p2.profile=C__Development_Tools_eclipse_java-2021-092_eclipse
osgi.framework=file\:/C\:/Users/Steve/.p2/pool/plugins/org.eclipse.osgi_3.17.0.v20210823-1805.jar
osgi.framework.extensions=reference\:file\:org.eclipse.osgi.compatibility.state_1.2.500.v20210730-0750.jar
eclipse.buildId=4.21.0.I20210906-0500


Each time this happens the only way I can get back in is to download it and re-install it.

I am running on Windows 10 21H2 (OS Build 19044.1348) with
JAVA version 15.0.1 2020-10-20.

My PC has several versions of JAVA installed. The one in my PATH is
JAVA version 11.0.9 2020-10-20 LTS.

When downloading and installing Eclipse for JAVA 2021-092 then I chose JAVA 15.

Any help would be most appreciated. Thanks.

Re: I am facing trouble in opening Eclipse [message #1848593 is a reply to message #1848586] Thu, 09 December 2021 05:15 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 32508
Registered: July 2009
Senior Member
Does your eclipse.ini contain two lines like this:
-vm
C:\Program Files\Java\jdk-11.0.13+8\bin
You can use this to control which VM it used. I would have expect the installer to add these lines, unless the JVM you choose is the default on your system. Probably better you try to choose a 11.x or 17.x JVM...


Ed Merks
Professional Support: https://www.macromodeling.com/
Re: I am facing trouble in opening Eclipse [message #1848598 is a reply to message #1848593] Thu, 09 December 2021 09:20 Go to previous message
Steve Mills is currently offline Steve MillsFriend
Messages: 2
Registered: December 2021
Junior Member
Thanks for your reply Ed,

Yes, my eclipse.ini has these lines...

-vm
C:/Program Files/Java/jdk-15.0.1/bin


which were added automatically.
Previous Topic:Add new users to marketplace admin
Next Topic:Can't see TCP/IP monitor under Window > Preferences
Goto Forum:
  


Current Time: Fri Oct 07 14:04:14 GMT 2022

Powered by FUDForum. Page generated in 0.03682 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top